com.informix.jdbcx

## Class IfxConnectionPoolManager

- java.lang.Object
- - com.informix.jdbcx.IfxConnectionPoolManager

    public class IfxConnectionPoolManager
    extends java.lang.Object

IfxConnectionPoolManager class manages a pool of reuseable connections.

See Also:
  `DataSource`, `IfxCoreDataSource`, `ConnectionEventListener`

### Constructor Summary

Constructors
Constructor and Description
`IfxConnectionPoolManager(java.lang.String dsName)` Constructs a Connection Pool Manager given a DataSource Name

### Method Summary

Methods
`java.sql.Connection` `getConnection()`
`java.sql.Connection` `getConnection(java.lang.String luser, java.lang.String lpassword)` try to get a connection from the pool for this user and password if unavailable from pool then get new connection from the server else use connection from pool
`protected IfxConnectionPoolDataSource` `getCPDS()`
`protected int` `getFreeCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxConnectionPoolManager

    public IfxConnectionPoolManager(java.lang.String dsName)
                             throws java.sql.SQLException

Constructs a Connection Pool Manager given a DataSource Name

Throws:
  `java.sql.SQLException` - if error is encountered while instantiating the object.

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### getConnection

    public java.sql.Connection getConnection(java.lang.String luser,
                                    java.lang.String lpassword)
                                      throws java.sql.SQLException

try to get a connection from the pool for this user and password if unavailable from pool then get new connection from the server else use connection from pool

Parameters:
  `luser` - is the user on whose behalf the connection is being made
  `lpassword` - is the user's password
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### getFreeCount

    protected int getFreeCount()

#### getCPDS

    protected IfxConnectionPoolDataSource getCPDS()